Subject: Re: setup.exe: why fixed size?
From: "Max Bowsher" <[email-masked]>
To: "Ralf Fassel" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 7 Nov 2002 14:16:04 -0000

Ralf Fassel <[email-masked]> wrote:
> * Vince Hoffman
>> This is an old old question and not as simple as it seems, search the
>> archives for more details
>
> I tried, but the October/November archives did not yield anything
> related, and searching for "setup.exe" w/o date restriction gave me an
> `internal server error' :-(

The simple answer is that before setup can be made resizable, an
architecture for controlling how each control on each page of the wizard
resizes with the window. This is a substantial amount of work.

Also: setup development discussions happen on [email-masked].

>> and if you want it lots submit a patch ;)
>
> Do you know where the sources for setup.exe live?  I tried CVS
> src/winsup, but did not find anything related (/setup, /netinstall
> ...)

See http://sources.redhat.com/cygwin-apps/.

Note that current setup HEAD is to some extent in a state of disrepair. The
link above and the setup sources haven't been updated since gcc3 became the
primary compiler for Cygwin. As a result, patches are required to build with
either of the current Cygwin releases of gcc and gcc2. See recent
cygwin-apps archives fot details.

Also, there are some bugs in HEAD which have occurred since the last
release.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/